$j(document).ready(function()
{
   /* $j('table#table_ball_select').click(function()
    {   //$j('td.vpf_ball').removeClass('select') ;
        //$j('div.panel_ball_select').remove() ;
    }) ;*/

    $j('body').on('click','table#table_ball_select td.vpf_ball',function()
    {  if ($j(this).find('div.panel_ball_select').length>0) return(true) ;
        $j('td.vpf_ball').removeClass('select') ;
        var other_ball=$j('div.panel_ball_select input').val() ;
        $j('div.panel_ball_select').closest('td').html(other_ball) ;
        var ball=$j(this).text() ;
        $j(this).addClass('select');
        $j(this).html('<div class=panel_ball_select><input type="text" value="'+ball+'"></div>') ;
        $j('div.panel_ball_select input').mask('0.0');
        //console.log( ball);
        $j(this).find('span#sp_'+ball).addClass('select') ;
        return(false) ;
    }) ;

    /*для страницы /ot/ball/ */

    $j('table#table_ball_select').on('blur','div.panel_ball_select input',function()
     {  var id=$j(this).closest('td.vpf_ball').attr('vpf_pkey') ;
        var ball=$j(this).val() ;
        console.log( ball+' / '+id );
        send_ajax_request({cmd:'ot/set_vpf_ball_by_pkey',id:id,ball:ball}) ;
        $j(this).closest('td.vpf_ball').html(ball) ;
        return(false);
     }
    ) ;

    /*для страницы /ot/ */
    $j('body').on('blur','table#table_ball_select div.panel_ball_select input',function()
     {  var id=$j(this).closest('td.vpf_ball').attr('vpf_pkey') ;
        var ball=$j(this).val() ;
        console.log( ball+' / '+id );
        send_ajax_request({cmd:'ot/set_vpf_ball_by_pkey',id:id,ball:ball}) ;
        $j(this).closest('td.vpf_ball').html(ball) ;
        return(false);
     }
    ) ;
}) ;